toolzerhub API Docs

Search suggestions

Returns matching advertiser and domain suggestions for query. Optional limits control advertiser and domain result counts.

1 credit / requestBilled only on success
GET
/v1/google-ads/suggestions

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

query*string

Autocomplete text for matching advertisers and domains.

Length1 <= length <= 200
num_advertiser_results?|
Range0 <= value <= 20
Default5
num_domain_results?|
Range0 <= value <= 20
Default5
domain_page_token?string

Paginates the domain-suggestion half of the response only.

Lengthlength <= 2000
curl -X GET "https://example.com/v1/google-ads/suggestions?query=nike" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "1": [      {        "property1": null,        "property2": null      }    ],    "3": "string",    "property1": null,    "property2": null  }}